//go:build !ignore_autogenerated
// +build !ignore_autogenerated

/*


Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by controller-gen. DO NOT EDIT.

package v1alpha1

import (
	"k8s.io/apimachinery/pkg/apis/meta/v1"
	runtime "k8s.io/apimachinery/pkg/runtime"
)

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *GlobalSettings) DeepCopyInto(out *GlobalSettings) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new GlobalSettings.
func (in *GlobalSettings) DeepCopy() *GlobalSettings {
	if in == nil {
		return nil
	}
	out := new(GlobalSettings)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *LegacyBaseURL) DeepCopyInto(out *LegacyBaseURL) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new LegacyBaseURL.
func (in *LegacyBaseURL) DeepCopy() *LegacyBaseURL {
	if in == nil {
		return nil
	}
	out := new(LegacyBaseURL)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *Oidc) DeepCopyInto(out *Oidc) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Oidc.
func (in *Oidc) DeepCopy() *Oidc {
	if in == nil {
		return nil
	}
	out := new(Oidc)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *ServerDetails) DeepCopyInto(out *ServerDetails) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new ServerDetails.
func (in *ServerDetails) DeepCopy() *ServerDetails {
	if in == nil {
		return nil
	}
	out := new(ServerDetails)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *UserProvidedDirectory) DeepCopyInto(out *UserProvidedDirectory) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ObjectMeta.DeepCopyInto(&out.ObjectMeta)
	in.Spec.DeepCopyInto(&out.Spec)
	in.Status.DeepCopyInto(&out.Status)
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new UserProvidedDirectory.
func (in *UserProvidedDirectory) DeepCopy() *UserProvidedDirectory {
	if in == nil {
		return nil
	}
	out := new(UserProvidedDirectory)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *UserProvidedDirectory) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *UserProvidedDirectoryList) DeepCopyInto(out *UserProvidedDirectoryList) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ListMeta.DeepCopyInto(&out.ListMeta)
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]UserProvidedDirectory, len(*in))
		for i := range *in {
			(*in)[i].DeepCopyInto(&(*out)[i])
		}
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new UserProvidedDirectoryList.
func (in *UserProvidedDirectoryList) DeepCopy() *UserProvidedDirectoryList {
	if in == nil {
		return nil
	}
	out := new(UserProvidedDirectoryList)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *UserProvidedDirectoryList) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *UserProvidedDirectorySpec) DeepCopyInto(out *UserProvidedDirectorySpec) {
	*out = *in
	if in.GlobalSettings != nil {
		in, out := &in.GlobalSettings, &out.GlobalSettings
		*out = new(GlobalSettings)
		**out = **in
	}
	if in.FolderConfiguration != nil {
		in, out := &in.FolderConfiguration, &out.FolderConfiguration
		*out = make([]WebeosSiteConfigurationPath, len(*in))
		copy(*out, *in)
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new UserProvidedDirectorySpec.
func (in *UserProvidedDirectorySpec) DeepCopy() *UserProvidedDirectorySpec {
	if in == nil {
		return nil
	}
	out := new(UserProvidedDirectorySpec)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *UserProvidedDirectoryStatus) DeepCopyInto(out *UserProvidedDirectoryStatus) {
	*out = *in
	if in.Conditions != nil {
		in, out := &in.Conditions, &out.Conditions
		*out = make([]v1.Condition, len(*in))
		for i := range *in {
			(*in)[i].DeepCopyInto(&(*out)[i])
		}
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new UserProvidedDirectoryStatus.
func (in *UserProvidedDirectoryStatus) DeepCopy() *UserProvidedDirectoryStatus {
	if in == nil {
		return nil
	}
	out := new(UserProvidedDirectoryStatus)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *WebeosSite) DeepCopyInto(out *WebeosSite) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ObjectMeta.DeepCopyInto(&out.ObjectMeta)
	in.Spec.DeepCopyInto(&out.Spec)
	out.Status = in.Status
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new WebeosSite.
func (in *WebeosSite) DeepCopy() *WebeosSite {
	if in == nil {
		return nil
	}
	out := new(WebeosSite)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *WebeosSite) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *WebeosSiteConfigurationPath) DeepCopyInto(out *WebeosSiteConfigurationPath) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new WebeosSiteConfigurationPath.
func (in *WebeosSiteConfigurationPath) DeepCopy() *WebeosSiteConfigurationPath {
	if in == nil {
		return nil
	}
	out := new(WebeosSiteConfigurationPath)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *WebeosSiteList) DeepCopyInto(out *WebeosSiteList) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ListMeta.DeepCopyInto(&out.ListMeta)
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]WebeosSite, len(*in))
		for i := range *in {
			(*in)[i].DeepCopyInto(&(*out)[i])
		}
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new WebeosSiteList.
func (in *WebeosSiteList) DeepCopy() *WebeosSiteList {
	if in == nil {
		return nil
	}
	out := new(WebeosSiteList)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *WebeosSiteList) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *WebeosSiteSpec) DeepCopyInto(out *WebeosSiteSpec) {
	*out = *in
	if in.LegacyBaseURL != nil {
		in, out := &in.LegacyBaseURL, &out.LegacyBaseURL
		*out = new(LegacyBaseURL)
		**out = **in
	}
	if in.Configuration != nil {
		in, out := &in.Configuration, &out.Configuration
		*out = make([]WebeosSiteConfigurationPath, len(*in))
		copy(*out, *in)
	}
	if in.ServerDetails != nil {
		in, out := &in.ServerDetails, &out.ServerDetails
		*out = new(ServerDetails)
		**out = **in
	}
	if in.Oidc != nil {
		in, out := &in.Oidc, &out.Oidc
		*out = new(Oidc)
		**out = **in
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new WebeosSiteSpec.
func (in *WebeosSiteSpec) DeepCopy() *WebeosSiteSpec {
	if in == nil {
		return nil
	}
	out := new(WebeosSiteSpec)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *WebeosSiteStatus) DeepCopyInto(out *WebeosSiteStatus) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new WebeosSiteStatus.
func (in *WebeosSiteStatus) DeepCopy() *WebeosSiteStatus {
	if in == nil {
		return nil
	}
	out := new(WebeosSiteStatus)
	in.DeepCopyInto(out)
	return out
}
